=== debian/tests/control ===
Tests: run-testsuite
Depends:
 build-essential,
 debhelper,
 fakeroot,
 hunspell-en-us,
 iproute2,
 locales-all,
 logrotate,
 netcat-openbsd,
 perl,
 procps,
 libecpg-dev,
 postgresql-14,
 postgresql-client-14,
 postgresql-server-dev-14,
 postgresql-doc-14,
 postgresql-plperl-14,
 postgresql-plpython3-14,
 postgresql-pltcl-14,
Restrictions: needs-root

Tests: installcheck
Depends:
 build-essential,
 tzdata,
 postgresql-14,
Restrictions: allow-stderr
