## postgresql-14 14.18

=== contrib/uuid-ossp/Makefile ===
# contrib/uuid-ossp/Makefile

MODULE_big = uuid-ossp
OBJS = \
	$(WIN32RES) \
	uuid-ossp.o

EXTENSION = uuid-ossp
DATA = uuid-ossp--1.1.sql uuid-ossp--1.0--1.1.sql
PGFILEDESC = "uuid-ossp - UUID generation"

REGRESS = uuid_ossp

SHLIB_LINK += $(UUID_LIBS)

# We copy some needed files verbatim from pgcrypto
pgcrypto_src = $(top_srcdir)/contrib/pgcrypto

PG_CPPFLAGS = -I$(pgcrypto_src)

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/uuid-ossp
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif
