=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
  systemtap-sdt-dev,
  tcl-dev,
  tzdata <!nocheck>,
+ tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
  uuid-dev,
  xsltproc,
  zlib1g-dev | libz-dev,
